import java.util.concurrent.TimeUnit;
import static java.util.concurrent.TimeUnit.*;

public class TimeUnitTest2 {
    public TimeUnitTest2() {
        try {
            long start = System.currentTimeMillis();

            SECONDS.sleep(1L);
            MILLISECONDS.sleep(100L);
            MICROSECONDS.sleep(100L);
            NANOSECONDS.sleep(100L);

            long end = System.currentTimeMillis();
            System.out.println("Sleep " + (end - start) + " ms");
        } catch (InterruptedException ex) {
            ex.printStackTrace();
        }

        try {
            long start = System.nanoTime();

            SECONDS.sleep(1L);
            MILLISECONDS.sleep(100L);
            MICROSECONDS.sleep(100L);
            NANOSECONDS.sleep(100L);

            long end = System.nanoTime();
            System.out.println("Sleep " + (end - start) + " ns");
        } catch (InterruptedException ex) {
            ex.printStackTrace();
        }
    }

    public static void main(String[] args) {
        new TimeUnitTest2();
    }
}
